
/**
 * Write a description of class Person here.
 * 
 * @author Claude Sammut 
 * @version 26/8/2013
 */
public class Person
{
    private String name;
    private int age;
    private String address;

    public Person(String myName, int myAge, String myAddress)
    {
        name = myName;
        age = myAge;
        address = myAddress;
    }

    /**
     * Get the value of the name field
     *
     * @return     a string, which is the name
     */
    public String getName()
    {
        return name;
    }

    /**
     * Get the value of the age field
     *
     * @return     an int, which is the age
     */
    public int getAge()
    {
        return age;
    }

    /**
     * Change the value of age
     *
     * @param newAge   the new value to set
     */
    public void setAge(int newAge)
    {
        if (newAge > 0)
        {
            age = newAge;
        }
        else
        {
            System.out.println("Age must be greater than 0");
        }
    }
}
